##
##  mosquitto-auth-ldap.conf -- LDAP Authentication for Mosquitto
##

auth_plugin            @l_prefix@/libexec/mosquitto/mosquitto-auth-ldap.so

auth_opt_backends      ldap,files

#   1. perform LDAP authentication
auth_opt_binddn        cn=ldap-user,dc=example,dc=com
auth_opt_bindpw        secret
auth_opt_ldap_uri      ldap://127.0.0.1/ou=users,dc=example,dc=com?cn?sub?(&(objectclass=inetOrgPerson)(uid=@))
auth_opt_ldap_acl_deny true

#   2. perform Mosquitto-compatible file authorization (ACL)
auth_opt_acl_file      @l_prefix@/etc/mosquitto/mosquitto-acl.txt

